%define maj 1
%define min 4
%define rel 2
%define rev 08

Summary:     Java 2 Software Development Kit
Name:        j2sdk
Version:     %{maj}.%{min}.%{rel}_%{rev}
Release:     5.pp
License:     Sun
Group:       Development/Languages
Source0:     %{name}-%{maj}_%{min}_%{rel}_%{rev}-linux-i586.bin
Source1:     %{name}-%{maj}.%{min}.%{rel}_%{rev}.profile
URL:         http://java.sun.com/j2se/%{maj}.%{min}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Sun
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
AutoReqProv: No
Requires:    glibc
Provides:    %{name}.pp
Prereq:      /bin/bash /bin/tar /bin/ln /bin/mkdir /bin/chmod
BuildPrereq: /bin/mkdir /usr/bin/install
ExclusiveOS: linux


%description
This package contains the SUN Java 2 Software Development
Kit. Install it if you need to develop java software.


%prep
rm -rf %{name}%{maj}.%{min}.%{rel}_%{rev}
chmod u+x %{SOURCE0}
%{SOURCE0}


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/usr/java2
mkdir -p $RPM_BUILD_ROOT/usr/share
tar cf - %{name}%{maj}.%{min}.%{rel}_%{rev} | tar xf - -C $RPM_BUILD_ROOT/usr/java2
ln -sf java $RPM_BUILD_ROOT/usr/java2/%{name}%{maj}.%{min}.%{rel}_%{rev}/bin/%{name}-java
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/%{name}-%{maj}.%{min}.%{rel}_%{rev}.sh
find $RPM_BUILD_ROOT/usr/java2/%{name}%{maj}.%{min}.%{rel}_%{rev}/jre/lib/i386 -name "*.so*" \
	-exec chmod a+x {} \;
mv -f $RPM_BUILD_ROOT/usr/java2/%{name}%{maj}.%{min}.%{rel}_%{rev}/man $RPM_BUILD_ROOT/usr/share
rm -rf $RPM_BUILD_ROOT/usr/share/man/ja*
pushd $RPM_BUILD_ROOT/usr/share/man/man1
for manfile in *.1; do
	mv $manfile %{name}-$manfile
done
popd


%post
if [ ! -e /usr/java ]; then
  /bin/ln -sf java2 /usr/java
fi


%postun
if [ $1 = 0 ]; then
  if [ -L /usr/java -a ! -e /usr/java ]; then
    rm -f /usr/java
  fi
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc %{name}%{maj}.%{min}.%{rel}_%{rev}/COPYRIGHT %{name}%{maj}.%{min}.%{rel}_%{rev}/LICENSE
%doc %{name}%{maj}.%{min}.%{rel}_%{rev}/README* %{name}%{maj}.%{min}.%{rel}_%{rev}/*.txt
%doc %{name}%{maj}.%{min}.%{rel}_%{rev}/*.html
%config /etc/profile.d/*
%dir /usr/java2
%dir /usr/java2/%{name}%{maj}.%{min}.%{rel}_%{rev}
/usr/java2/%{name}%{maj}.%{min}.%{rel}_%{rev}/*
/usr/share/man/*


%changelog
* Thu Jun 30 2005 peter.pramberger@member.fsf.org
- new version 1.4.2_08

* Fri Mar 25 2005 peter.pramberger@member.fsf.org
- new version 1.4.2_06

* Fri Jul 11 2003 peter.pramberger@member.fsf.org
- new version 1.4.2

* Thu Aug 22 2002 peter.pramberger@member.fsf.org
- new version 1.4.0_01
- created

